package dev.shadowsoffire.apotheosis.garden.compat;

import net.minecraft.resources.ResourceLocation;
import mezz.jei.api.ingredients.IIngredientType;
import net.minecraft.network.chat.Component;
import mezz.jei.api.constants.VanillaTypes;
import net.minecraft.world.item.ItemStack;
import dev.shadowsoffire.apotheosis.Apoth;
import net.minecraft.world.level.ItemLike;
import dev.shadowsoffire.apotheosis.Apotheosis;
import mezz.jei.api.registration.IRecipeRegistration;
import mezz.jei.api.JeiPlugin;
import mezz.jei.api.IModPlugin;

@JeiPlugin
public class GardenJEIPlugin implements IModPlugin
{
    public void registerRecipes(final IRecipeRegistration reg) {
        if (!Apotheosis.enableGarden) {
            return;
        }
        reg.addIngredientInfo((Object)new ItemStack((ItemLike)Apoth.Items.ENDER_LEAD.get()), (IIngredientType)VanillaTypes.ITEM_STACK, new Component[] { (Component)Component.m_237115_("info.apotheosis.ender_lead") });
    }
    
    public ResourceLocation getPluginUid() {
        return new ResourceLocation("apotheosis", "garden");
    }
}
